{
  "actuator": {
    "category": "Actuator",
    "type": "base",
    "printedParts": [
      {
        "id": "ossm-actuator-body-bottom",
        "name": "Actuator Bottom",
        "description": "Actuator bottom part",
        "filamentEstimate": 56.7,
        "timeEstimate": "2h14m",
        "colour": "primary",
        "required": true,
        "filePath": "OSSM - Actuator Body Bottom.stl",
        "url": "https://github.com/KinkyMakers/OSSM-hardware/blob/main/Printed%20Parts/Actuator/OSSM%20-%20Actuator%20-%20Body%20-%20Bottom.stl?raw=true"
      },
      {
        "id": "ossm-actuator-body-middle",
        "name": "Actuator Middle",
        "description": "Actuator middle part",
        "filamentEstimate": 65.69,
        "timeEstimate": "2h23m",
        "colour": "primary",
        "required": true,
        "filePath": "OSSM - Actuator Body Middle.stl",
        "url": "https://github.com/KinkyMakers/OSSM-hardware/blob/main/Printed%20Parts/Actuator/OSSM%20-%20Actuator%20-%20Body%20-%20Middle.stl?raw=true"
      },
      {
        "id": "ossm-actuator-body-cover",
        "name": "Actuator Cover",
        "description": "Actuator cover part",
        "filamentEstimate": 27.61,
        "timeEstimate": "1h3m",
        "colour": "primary",
        "required": true,
        "filePath": "OSSM - Actuator Body Cover.stl",
        "url": "https://github.com/KinkyMakers/OSSM-hardware/blob/main/Printed%20Parts/Actuator/OSSM%20-%20Actuator%20-%20Body%20-%20Cover.stl?raw=true"
      },
      {
        "id": "ossm-belt-tensioner",
        "name": "Belt Tensioner",
        "description": "Belt tensioner part",
        "filamentEstimate": 10.51,
        "timeEstimate": "40m25s",
        "colour": "secondary",
        "required": true,
        "filePath": "OSSM - Belt Tensioner.stl",
        "url": "https://github.com/KinkyMakers/OSSM-hardware/blob/main/Printed%20Parts/Actuator/OSSM%20-%20Belt%20Tensioner.stl?raw=true"
      },
      {
        "id": "ossm-24mm-clamping-thread-belt-clamp",
        "name": "24mm Clamping Thread Belt Clamp",
        "description": "24mm clamping thread part",
        "filamentEstimate": 2.01,
        "timeEstimate": "19m36s",
        "colour": "secondary",
        "required": true,
        "filePath": "OSSM - 24mm Clamping Thread Belt Clamp.stl",
        "url": "https://github.com/KinkyMakers/OSSM-hardware/blob/main/Printed%20Parts/Actuator/OSSM%20-%2024mm%20Clamping%20Thread%20-%20Belt%20Clamp.stl?raw=true"
      },
      {
        "id": "ossm-24mm-clamping-thread-end-effector",
        "name": "24mm Clamping Thread End Effector",
        "description": "24mm clamping thread end effector part",
        "filamentEstimate": 18.52,
        "timeEstimate": "1h20m",
        "colour": "secondary",
        "required": true,
        "filePath": "OSSM - 24mm Clamping Thread End Effector.stl",
        "url": "https://github.com/KinkyMakers/OSSM-hardware/blob/main/Printed%20Parts/Actuator/OSSM%20-%2024mm%20Clamping%20Thread%20-%20End%20Effector.stl?raw=true"
      },
      {
        "id": "ossm-24mm-nut-5-sided",
        "name": "24mm Nut 5 Sided",
        "description": "24mm nut 5 sided part",
        "filamentEstimate": 5.12,
        "timeEstimate": "21m10s",
        "colour": "secondary",
        "required": true,
        "filePath": "OSSM - 24mm Nut 5 Sided.stl",
        "url": "https://github.com/KinkyMakers/OSSM-hardware/blob/main/Printed%20Parts/Actuator/OSSM%20-%2024mm%20Nut%20-%205%20Sided.stl?raw=true"
      }
    ],
    "hardwareParts": [
      {
        "id": "hardware-fasteners-m3x8-shcs",
        "required": true,
        "quantity": 8,
        "relatedParts": [
          "ossm-actuator-body-bottom"
        ]
      },
      {
        "id": "hardware-fasteners-m3x16-shcs",
        "required": true,
        "quantity": 2,
        "relatedParts": [
          "ossm-24mm-nut-6-sided"
        ]
      },
      {
        "id": "hardware-fasteners-m3x20-shcs",
        "required": true,
        "quantity": 1,
        "relatedParts": [
          "ossm-24mm-nut-5-sided"
        ]
      },
      {
        "id": "hardware-fasteners-m3-hex-nut",
        "required": true,
        "quantity": 7,
        "relatedParts": [
          "ossm-24mm-nut-hex"
        ]
      },
      {
        "id": "hardware-fasteners-m5-hex-nut",
        "required": true,
        "quantity": 7,
        "relatedParts": [
          "ossm-actuator-body-bottom"
        ]
      },
      {
        "id": "hardware-fasteners-m5x20-shcs",
        "required": true,
        "quantity": 7,
        "relatedParts": [
          "ossm-actuator-body-bottom",
          "ossm-actuator-body-middle",
          "ossm-actuator-body-middle-pivot"
        ]
      },
      {
        "id": "hardware-fasteners-m5x35-shcs",
        "required": true,
        "quantity": 7,
        "relatedParts": [
          "ossm-24mm-nut-shcs"
        ]
      },
      {
        "id": "hardware-fasteners-m5x20mm-hex-coupling-nut",
        "required": true,
        "quantity": 7,
        "relatedParts": [
          "ossm-24mm-nut-hex"
        ]
      },
      {
        "id": "hardware-gt2-pulley",
        "required": true,
        "quantity": 1,
        "relatedParts": [
          "ossm-actuator-body-bottom"
        ]
      },
      {
        "id": "hardware-gt2-belt",
        "required": true,
        "quantity": 1,
        "relatedParts": [
          "ossm-24mm-clamping-thread-belt-clamp",
          "ossm-belt-tensioner"
        ]
      },
      {
        "id": "hardware-mgn12h-linear-rail",
        "required": true,
        "quantity": 1,
        "relatedParts": [
          "ossm-gt2-belt-clamp",
          "ossm-24mm-nut-shcs",
          "ossm-actuator-body-bottom"
        ]
      },
      {
        "id": "hardware-bearing-MR115-2RS 5x11x4mm",
        "required": true,
        "quantity": 6,
        "relatedParts": [
          "ossm-actuator-body-bottom"
        ]
      }
    ]
  }
}